Package org.apache.lucene.search.highlight

# Class DefaultEncoder

java.lang.Object
org.apache.lucene.search.highlight.DefaultEncoder

All Implemented Interfaces:
  `Encoder`

public class DefaultEncoder extends Object implements Encoder
Simple `Encoder` implementation that does not modify the output

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultEncoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encodeText(String originalText)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultEncoder

    public DefaultEncoder()

- ## Method Details

  - ### encodeText

    public String encodeText(String originalText)
    Specified by:
      `encodeText` in interface `Encoder`
    Parameters:
      `originalText` - The section of text being output